XDARWIN(1)

NAME
XDarwin - X window system server for Darwin operating system

SYNOPSIS
XDarwin [ options ] ...

DESCRIPTION
XDarwin is the window server for Version 11 of the X window system on the Darwin operating system. This version of XDarwin can only be started from the Darwin text console. The Mac OS X Aqua GUI, if present, must be shut down. XDarwin uses IOKit services to accesss the display framebuffer, mouse and keyboard and to provide a layer of hardware abstraction. XDarwin will normally be started by the xdm(1) display manager or by a script that runs the program xinit(1).

OPTIONS

In addition to the normal server options described in the Xserver(1) manual page, XDarwin accepts the following command line switches:

-fakebuttons
    Emulates a 3 button mouse using the Command and Option keys. Clicking the first mouse button while holding down Command will act like clicking button 2. Holding down Option will simulate button 3.

-nofakebuttons
    Do not emulate a 3 button mouse. This is the default.

-keymap file
    On startup XDarwin translates a Darwin keymapping into an X keymap. With this option the keymapping is read from a file instead of the kernel. If the file's path is not specified, it will be searched for in Library/Keyboards/ underneath the following directories (in order): ~, /, /Network, /System.

-size width height
    Sets the screeen resolution for the X server to use.

-depth depth
    Specifies the color bit depth to use. Currently only 8, 15, and 24 color bits per pixel are supported.

-refresh rate
    Gives the refresh rate to use in Hz. For LCD displays this should be 0.

-screen screenum
    Specifies which screen number the X server should run on. Screen number 0 is the default.

-showconfig
    Print out the server version and patchlevel.

-version
    Same as -showconfig.

SEE ALSO

X(7), Xserver(1), xdm(1), xinit(1)

BUGS
XDarwin and this man page still have many limitations. Some of the more obvious ones are:
- There is no rootless mode with Aqua.
- Only one display is supported.
- The display mode can not be changed once the X server has started.
- A screen saver is not supported.

AUTHORS
XFree86 was originally ported to Mac OS X Server by John Carmack. Dave Zarzycki used this as the basis of his port of XFree86 4.0 to Darwin 1.0. Torrey T. Lyons improved and integrated this code into the XFree86 Project's mainline for the 4.0.2 release.

The following members of the XonX Team contributed to the XFree86 4.1 release:

Rob Braun - Darwin x86 support
Torrey T. Lyons - Project Lead
Andreas Monitzer - Cocoa version of XDarwin front end
Gregory Robert Parker - Original Quartz implementation
Christoph Pfisterer - Dynamic shared X libraries
Toshimitsu Tanaka - Japanese localization